Table of Contents

## Name

auconvert - perform various conversion operations on sound files

## Synopsis

auconvert [-file <format>] [-data <format>] [-rate <sample rate>] [-comment <comment>] [-raw <data format> <num tracks>] [-volume <percent>|`max'] [-?] [<input file>] [<output file>]

## Description

The auconvert program can be used to convert from one sound file format, and/or data format to another. It can also change the comment, sampling rate, and volume of a sound file. Finally, auconvert can be used to convert raw audio data into a sound file. If no input file name is given, standard input will be used. If no output file name is given, the original file will be replaced by the converted file or standard out will be used if the input is coming from standard input.

## Options

The following options may be used with auconvert:

-file format
  The output file format. The -? option will display a list of valid file formats.
-data format
  The output data format. The -? option will display a list of valid data formats. Note that each file format may only support selected data formats.
-rate sample rate
  The output sampling rate (in hertz).
-comment comment
  The comment to be stored in the output file.
-volume <percent>|`max'
  The volume option can be used in two ways. If the argument is a percentage, the output file volume will be converted to the specified percentage of the input volume. If the argument is the string `max', the output file volume will be converted to its maximum level.
-raw <data format> <num tracks>
  This option is used to convert raw audio data into a sound file. <data format> is the data format of the raw data. <num tracks> specifies the number of tracks in the raw data. You must also use the -file and -rate options when converting raw data.
-?
  Displays a usage message and a list of supported file and data formats.

## See Also

nas(1) , auedit(1)

## Copyright

Copyright 1993, 1994 Network Computing Devices, Inc.

## Author

Greg Renda, Network Computing Devices, Inc.

Table of Contents

- Name
- Synopsis
- Description
- Options
- See Also
- Copyright
- Author